 
#include <IRremote.h>

#define   RECV_PIN     1//11//
#define   RELAY_PIN    3
#define   START_ADR    100
 
IRrecv irrecv(RECV_PIN);
decode_results results;
decode_results RightCode;
bool State = true;


void setup()
{
  irrecv.enableIRIn();
  pinMode(RELAY_PIN, OUTPUT);
  while(!irrecv.decode(&RightCode));
  digitalWrite(RELAY_PIN, HIGH);
  State = true;
  delay(300);
  irrecv.resume();
}
 
void loop()
{
  if (irrecv.decode(&results))
  { 
    if (RightCode.value == results.value)
    {
      if (State)
      {
        digitalWrite(RELAY_PIN, LOW);
        State = false;
      }
      
      else
      {
        digitalWrite(RELAY_PIN, HIGH);
        State = true;
      }
    }
    
    delay(400);
    irrecv.resume();
  }
}



